Update a publisher
curl --request PUT \
--url https://api.comfy.org/publishers/{publisherId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
}
'import requests
url = "https://api.comfy.org/publishers/{publisherId}"
payload = {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
id: '<string>',
logo: '<string>',
members: [
{
id: '<string>',
role: '<string>',
user: {email: '<string>', id: '<string>', name: '<string>'}
}
],
name: '<string>',
source_code_repo: '<string>',
support: '<string>',
website: '<string>'
})
};
fetch('https://api.comfy.org/publishers/{publisherId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Registry
Update a publisher
PUT
/
publishers
/
{publisherId}
Update a publisher
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The date and time the publisher was created.
The unique identifier for the publisher. It's akin to a username. Should be lowercase.
URL to the publisher's logo.
A list of members in the publisher.
Show child attributes
Show child attributes
Available options:
PublisherStatusActive, PublisherStatusBanned Response
Publisher updated successfully
The date and time the publisher was created.
The unique identifier for the publisher. It's akin to a username. Should be lowercase.
URL to the publisher's logo.
A list of members in the publisher.
Show child attributes
Show child attributes
Available options:
PublisherStatusActive, PublisherStatusBanned Was this page helpful?
⌘I